public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Fabio Valentini <decathorpe@gmail.com>
To: git-commits@fedoraproject.org
Subject: [rpms/rust-sequoia-sqv] eln: Update to version 1.4.0
Date: Wed, 24 Jun 2026 21:21:18 GMT [thread overview]
Message-ID: <178233607855.1.7532616691240767711.rpms-rust-sequoia-sqv-39923050da85@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : rpms/rust-sequoia-sqv
Branch : eln
Commit : 39923050da85c3a64695be6a595f9c2c701b1946
Author : Fabio Valentini <decathorpe@gmail.com>
Date : 2026-06-24T23:11:57+02:00
Stats : +54/-53 in 5 file(s)
URL : https://src.fedoraproject.org/rpms/rust-sequoia-sqv/c/39923050da85c3a64695be6a595f9c2c701b1946?branch=eln
Log:
Update to version 1.4.0
---
diff --git a/.gitignore b/.gitignore
index 630a8be..ca92615 100644
--- a/.gitignore
+++ b/.gitignore
@@ -8,3 +8,5 @@
/sequoia-sqv-1.2.1-vendor.tar.xz
/sequoia-sqv-1.3.0.crate
/sequoia-sqv-1.3.0-vendor.tar.xz
+/sequoia-sqv-1.4.0.crate
+/sequoia-sqv-1.4.0-vendor.tar.xz
diff --git a/rust-sequoia-sqv.spec b/rust-sequoia-sqv.spec
index dc2a6d1..58ba33c 100644
--- a/rust-sequoia-sqv.spec
+++ b/rust-sequoia-sqv.spec
@@ -1,44 +1,29 @@
-# Generated by rust2rpm 26
-%bcond_without check
-
-# RHEL does not have packages for Rust dependencies
-%if 0%{?rhel}
-%global bundled_rust_deps 1
-%else
-%global bundled_rust_deps 0
-%endif
+# Generated by rust2rpm 28
+%bcond check 1
%global crate sequoia-sqv
Name: rust-sequoia-sqv
-Version: 1.3.0
+Version: 1.4.0
Release: %autorelease
Summary: Simple OpenPGP signature verification program
License: LGPL-2.0-or-later
URL: https://crates.io/crates/sequoia-sqv
Source: %{crates_source}
-# To create the vendor tarball:
-# tar xf %%{crate}-%%{version}.crate ; \
-# pushd %%{crate}-%%{version} ; \
-# rm Cargo.lock ; \
-# patch -p1 < ../sequoia-sqv-fix-metadata.diff ; \
-# cargo vendor --versioned-dirs ; \
-# tar Jcvf ../%%{crate}-%%{version}-vendor.tar.xz vendor/ ; \
-# popd
+
+# generated using vendor.sh
Source1: %{crate}-%{version}-vendor.tar.xz
+Source2: vendor.sh
+
# Manually created patch for downstream crate metadata changes
# * switch crypto backend from Nettle to OpenSSL
# * drop features for unsupported crypto backends
Patch: sequoia-sqv-fix-metadata.diff
-%if 0%{?bundled_rust_deps}
BuildRequires: rust-toolset
-# vendored openssl-sys crate
+# vendored openssl-sys
BuildRequires: openssl-devel
-%else
-BuildRequires: cargo-rpm-macros >= 24
-%endif
%global _description %{expand:
A simple OpenPGP signature verification program.}
@@ -47,6 +32,7 @@ A simple OpenPGP signature verification program.}
%package -n %{crate}
Summary: %{summary}
+# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
@@ -55,20 +41,23 @@ Summary: %{summary}
# LGPL-2.0-or-later
# MIT
# MIT OR Apache-2.0
+# MIT OR Zlib OR Apache-2.0
# Unicode-3.0
# Unlicense OR MIT
-# Zlib OR Apache-2.0 OR MIT
+# bzip2-1.0.6
License: %{shrink:
- LGPL-2.0-or-later AND
- Apache-2.0 AND
- BSD-3-Clause AND
- BSL-1.0 AND
- MIT AND
- Unicode-DFS-2016 AND
- (Apache-2.0 OR MIT) AND
- (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND
- (MIT OR Apache-2.0 OR Zlib) AND
- (Unlicense OR MIT)
+ LGPL-2.0-or-later
+ AND Apache-2.0
+ AND BSD-3-Clause
+ AND BSL-1.0
+ AND MIT
+ AND Unicode-3.0
+ AND bzip2-1.0.6
+ AND (0BSD OR MIT OR Apache-2.0)
+ AND (Apache-2.0 OR MIT)
+ AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT)
+ AND (MIT OR Zlib OR Apache-2.0)
+ AND (Unlicense OR MIT)
}
# LICENSE.dependencies contains a full license breakdown
@@ -77,9 +66,8 @@ License: %{shrink:
%files -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
-%if 0%{?bundled_rust_deps}
%license cargo-vendor.txt
-%endif
+%doc NEWS
%doc README.md
%{_bindir}/sqv
%{_mandir}/man1/sqv*
@@ -88,27 +76,16 @@ License: %{shrink:
%{zsh_completions_dir}/_sqv
%prep
-%autosetup -n %{crate}-%{version} -p1 %{?bundled_rust_deps:-a1}
-%if 0%{?bundled_rust_deps}
+%autosetup -n %{crate}-%{version} -p1 -a1
%cargo_prep -v vendor
rm Cargo.lock
-%else
-%cargo_prep
-%endif
-
-%if ! 0%{?bundled_rust_deps}
-%generate_buildrequires
-%cargo_generate_buildrequires
-%endif
%build
export ASSET_OUT_DIR=target/assets
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
-%if 0%{?bundled_rust_deps}
%cargo_vendor_manifest
-%endif
%install
%cargo_install
diff --git a/sequoia-sqv-fix-metadata.diff b/sequoia-sqv-fix-metadata.diff
index 9ec109f..5e3817f 100644
--- a/sequoia-sqv-fix-metadata.diff
+++ b/sequoia-sqv-fix-metadata.diff
@@ -1,6 +1,6 @@
---- sequoia-sqv-1.3.0/Cargo.toml 1970-01-01T00:00:01+00:00
-+++ sequoia-sqv-1.3.0/Cargo.toml 2025-03-08T11:15:16.145149+00:00
-@@ -54,13 +54,8 @@
+--- sequoia-sqv-1.4.0/Cargo.toml 1970-01-01T00:00:01+00:00
++++ sequoia-sqv-1.4.0/Cargo.toml 2026-06-24T21:03:09.597393+00:00
+@@ -55,13 +55,8 @@
status = "actively-developed"
[features]
diff --git a/sources b/sources
index 4e97dd3..fa28908 100644
--- a/sources
+++ b/sources
@@ -1,2 +1,2 @@
-SHA512 (sequoia-sqv-1.3.0.crate) = fd06ac5373501132187e4ec85236b647b2655c39b0b6fe9e6c1360defbeb52f7ccdb5c2beffc8265542d086236e99d6456fec0a74eb2d888cb8a0e40e79fd01f
-SHA512 (sequoia-sqv-1.3.0-vendor.tar.xz) = 47adb563334ad4886ac2dad72c1eafbe11433b192b0be8a681f49e3c283e3df661ef355c7848a364ee822bf75f46500948547493f7beb3e4aa3f3e41edfdd5d6
+SHA512 (sequoia-sqv-1.4.0.crate) = 527e6428182d8ecc9d1fed110c73e1a34a915b119b3fefbdc6b2a1e1c0ec98497fc9b291df6dea2a82a2241bf206db0715bab05df7dddf8a794ffe4dc84ff083
+SHA512 (sequoia-sqv-1.4.0-vendor.tar.xz) = 47d313f316a55ec4dcc9e1b3f46e2a5ffe36f12954c1344d4015f27507707aad542a6f9189eb501ff66c9ef8c2e9a45ce7b35b70b2d24e26ba8444145221d857
diff --git a/vendor.sh b/vendor.sh
new file mode 100755
index 0000000..5b7a0a6
--- /dev/null
+++ b/vendor.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/bash
+
+set -e
+
+NAME=rust-sequoia-sqv
+CRATE=sequoia-sqv
+SPEC="${NAME}.spec"
+VERSION=$(rpmspec -q --srpm --queryformat "%{version}" ${SPEC})
+
+spectool -g ${SPEC}
+
+tar -xzf ${CRATE}-${VERSION}.crate
+
+pushd ${CRATE}-${VERSION}
+patch -p1 < ../${CRATE}-fix-metadata.diff
+rm -f Cargo.lock
+cargo vendor --versioned-dirs vendor
+tar -Jcf ../${CRATE}-${VERSION}-vendor.tar.xz vendor/
+popd
+
+rm -rf ${CRATE}-${VERSION}/
+
reply other threads:[~2026-06-24 21:21 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178233607855.1.7532616691240767711.rpms-rust-sequoia-sqv-39923050da85@fedoraproject.org \
--to=decathorpe@gmail.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox